Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		freeipmi
Version:	0.4.2
Release: 	1
Source:		%{name}-%{version}.tar.gz
URL:		http://www.gnu.org/software/freeipmi
License:	GNU/GPL
Buildroot: 	%{_tmppath}/%{name}-buildroot
Summary: 	Intelligent Platform Management Interface (IPMI) control tools
Group: 		System/Configuration/Hardware

%description
GNU FreeIPMI is a suite of packages for controlling hardware that provides an interface compliant with the Intelligent Platform Management Interface (IPMI) specification.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %_infodir/freeipmi.info.gz %_infodir/dir
/sbin/install-info %_infodir/freeipmi-faq.info.gz %_infodir/dir


%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/freeipmi.info.gz %_infodir/dir
/sbin/install-info --del %_infodir/freeipmi-faq.info.gz %_infodir/dir
fi



%prep
%setup -q

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--libexecdir=%_libexecdir \
		--localstatedir=%_localstatedir \
		--infodir=%_infodir
make 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(0644, root, root, 0755)
%_sysconfdir/init.d/freeipmi-bmc-watchdog
%_sysconfdir/init.d/freeipmi-ipmidetectd
%_sysconfdir/ipmi_monitoring_sensors.conf
%_sysconfdir/logrotate.d/freeipmi-bmc-watchdog
%_sysconfdir/sysconfig/freeipmi-bmc-watchdog
%_datadir/doc
%_mandir
%_sbindir
%_infodir
%_localstatedir
%_libdir/*.so*

%files devel
%defattr(0644, root, root, 0755)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.2-1
- Version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.3-1
- initial package release
